terça-feira, 9 de maio de 2017

Instalar plugin de segurança (banco do brasil, caixa, itaú e etc) Warsaw no linux!

Salve salve, linux users!


Como já deve ser de conhecimento da maioria, os bancos estão procurando deixar o quanto antes o bendito java, basicamente devido a falhas de segurança, para contornar todos estão utilizando um plugin de segurança conhecimento como warsaw. Até um tempo atrás instalar o warsaw no linux era um problema, mas felizmente a empresa que o desenvolve evoluiu e está disponibilizando para várias distro linux tanto na versão 32 quanto 64 bits.

Como instalar: 

a) Acesso diretamente o site do fabricante: 

http://www.dieboldnixdorf.com.br/warsaw

b) Após acessar, escolha o banco que utiliza e clique em Continuar, como  mostra a imagem abaixo:


c) Após clicar em continuar a ferramenta fará um diagnóstico na sua máquina, procurando se já existe alguma versão instalada, se encontrar a ferramenta irá avisar, neste caso será necessário remover a versão anterior antes de instalar a nova, se não encontrar nada, a tela abaixo será exibida:


Agora basta selecionar a distro que utiliza ou similar que utilizem o mesmo formato de pacotes. 
Ao selecionar o versão que utiliza automaticamente iniciará o download do warsaw (.deb ou .rpm) o sistema auto detecta seu linux e baixa a versão correta, ele também diferencia se é 32 ou 64 bits. 

Com o pacote já baixado basta apenas instalá-lo utilizando modo texto ou interface gráfica, a qual for mais confortável para você. 

IMPORTANTE: antes de instalar feche qualquer navegador e após instalar caso o navegador ainda acuse que o módulo não existe basta apenas reiniciar a máquina. 

Obs: Em distros baseadas em Debian como ubuntu, mint etc.. é necessário instalar o pacote libnss3-tools. Já em distros baseadas em RedHat como Opensuse, Fedora etc.. a instalação ocorre sem problemas. 


Nenhum comentário: